const {app, BrowserWindow, Menu} = require("electron");
let win;

function createWindow(){
    Menu.setApplicationMenu(null); //remove menu before create window
    win = new BrowserWindow({"width":800,"height":600,"resizable": false,"useContentSize": true,});
    //win.setMenu(null);
    win.loadURL(`file://${__dirname}/index.html`);
    win.webContents.openDevTools({mode:"detach"});
    win.on("closed", ()=>{win = null;});
}

app.on("ready",createWindow);
app.on("window-all-closed", ()=>{
    if(process.platform !== "darwin"){
        app.quit();
    }
});
app.on("activate", ()=>{
    if(win === null){
        createWindow();
    }
});