const p5 = require("p5");
const Boid = require("./p5_modules/boid");
const Flock = require("./p5_modules/flock");

//Main
const sketch = (p) =>{
	p.setup = () => {
			p.createCanvas(p.windowWidth, p.windowHeight);
			flock = new Flock(p);
			for(let i = 0; i < 10; i++){
				let b = new Boid(p,p.windowWidth/2, p.windowHeight/2);
				flock.addBoid(b);
			}
	}

	p.draw = () => {
		p.background(51);
		flock.run();
	}

	p.mouseDragged = () => {
		flock.addBoid(new Boid(p, p.mouseX, p.mouseY));
	}
}

new p5(sketch,document.getElementById("contents"));